﻿@model TvrtkaViewModel

@{
    ViewData["Title"] = "Tvrtka";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Tvrtka</h1>

<p>
    <small>
        Stranica za prikaz stavki tablice Tvrtka. Omogućeno je straničenje te sortiranje po svim stupcima(osim djelatnost, nisam uspio to pravilno implementirati).
        Za svaku stavku imamo opciju da ju uredimo ili izbrišemo. Prilikom pokušaja brisanja zapisa, korisnik je upitan je li siguran da ga želi izbrisati.
        Linkovi uredi i dodaj novu tvrtku vode na istu stranicu, ali im je različito ponašanje ovisno o tome koji je link stisnut.

    </small>
</p>

<pager page-info="@Model.PagingInfo" page-title="Unesite zeljenu stranicu"
       page-action="Index" class="float-right">
</pager>

<table class="table">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 1 ? !Model.PagingInfo.Ascending : true)">
                    Naziv tvrtke
                </a>
            </th>
            <th>
                <a asp-route-sort="2"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 2 ? !Model.PagingInfo.Ascending : true)">
                    Adresa
                </a>
            </th>
            <th>
                <a asp-route-sort="3"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 3 ? !Model.PagingInfo.Ascending : true)">
                    Mjesto
                </a>
            </th>
            <th>
                <a asp-route-sort="3"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 3 ? !Model.PagingInfo.Ascending : true)">
                    Djelatnost
                </a>
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model.tvrtka) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.tvrtka.Naziv)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.tvrtka.Adresa)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.mjesto.Naziv)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.djelatnost.Naziv)
            </td>
            <td>
                <a asp-action="Edit" asp-route-Oib="@item.tvrtka.Oib">Uredi</a> |
                <a class="delete" asp-action="Delete" asp-route-Oib="@item.tvrtka.Oib">Izbriši</a>
            </td>
        </tr>
}
    </tbody>
</table>
<p>
    <a asp-action="Create">Dodaj tvrtku</a>
</p>
